Skip to content
Start here

Get a zone snippet

client.Snippets.Get(ctx, snippetName, query) (*SnippetGetResponse, error)
GET/zones/{zone_id}/snippets/{snippet_name}

Fetches a snippet belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets WriteSnippets Read
ParametersExpand Collapse
snippetName string

Identify the snippet.

query SnippetGetParams
ZoneID param.Field[string]

Use this field to specify the unique ID of the zone.

ReturnsExpand Collapse
type SnippetGetResponse struct{…}

Contain the response result.

CreatedOn Time

Indicates when the snippet was created.

formatdate-time
SnippetName string

Identify the snippet.

ModifiedOn Timeoptional

Indicates when the snippet was last modified.

formatdate-time

Get a zone snippet

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/snippets"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  snippet, err := client.Snippets.Get(
    context.TODO(),
    "my_snippet",
    snippets.SnippetGetParams{
      ZoneID: cloudflare.F("9f1839b6152d298aca64c4e906b6d074"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", snippet.CreatedOn)
}
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {
    "created_on": "2000-01-01T00:00:00.000000Z",
    "snippet_name": "my_snippet",
    "modified_on": "2000-01-01T00:00:00.000000Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {
    "created_on": "2000-01-01T00:00:00.000000Z",
    "snippet_name": "my_snippet",
    "modified_on": "2000-01-01T00:00:00.000000Z"
  },
  "success": true
}